<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php 

$codFuncionarioSql = "SELECT COALESCE(MAX(\"codfuncionario\"),0)+1 FROM \"mat_funcionarioCoordenadoria\"";
$result = executaQuery($dbh, $codFuncionarioSql);
$codResult = pg_fetch_row($result);
$codFuncionario = $codResult[0];

$sql_login = "SELECT \"login\" FROM \"mat_funcionarioEscola\" WHERE \"login\" = '$loginFuncionario'";
$result_login = executaQuery($dbh, $sql_login);
$loginResult = pg_fetch_row($result_login);
$login_escola = $loginResult[0];

if($login_escola != '')
{
	$erro = 'Login j� existente';
	$_SESSION["f_retorno"] = $erro;
	header($source);
	exit;
}

$sql_login2 = "SELECT \"login\" FROM \"mat_funcionarioCoordenadoria\" WHERE \"login\" = '$loginFuncionario'";
$result_login2 = executaQuery($dbh, $sql_login2);
$loginResult2 = pg_fetch_row($result_login2);
$login_coord = $loginResult2[0];

if($login_coord != '')
{
	$erro = 'Login j� existente';
	$_SESSION["f_retorno"] = $erro;
	header($source);
	exit;
}

$sql = " INSERT INTO \"mat_funcionarioCoordenadoria\"  
		(
		
		codfuncionario,
		\"login\",
		nome,
		senha,
		codcoordenadoria	
		
		) VALUES(
		
		$codFuncionario,
		'$loginFuncionario',
		'$nomeFuncionario',
		'$senhaFuncionario'	,
		$coordFuncionario  
		
		)";
		

			
$result = executaQuery($dbh, $sql);

if(!$result)
{
	$result = executaQuery($dbh, "ROLLBACK");
	if(!$result)
	{
		$erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
   		$_SESSION["f_retornoFatal"] = $erroFatal;
		
	}				
		
}

$sql = cleanSql($sql);
$textoScript .= $sql . ';';		